<template>
  <div class="m-4">
    <div class="article-header d-flex align-items-center mb-2">
      <div class="article-title m-0 d-flex">
        <h3>List User</h3>
        <span>
          <div
            to="/user/new"
            class="btn btn-primary box-new"
            data-toggle="modal"
            data-target="#createUpdateModal"
            @click="createUser()"
          >
            <font-awesome-icon far icon="plus" />
          </div>
        </span>
        <span>
          <NuxtLink to="#" class="btn btn-outline-primary box-refresh"
            ><font-awesome-icon far icon="redo-alt"
          /></NuxtLink>
        </span>
      </div>
    </div>
    <UserList
      v-on:on-delete-user-success="reloadPage"
      v-on:on-edit-user="editUser"
      :listUser="listUser"
    ></UserList>

    <!-- start modal create edit -->
    <div>
      <div
        class="modal fade"
        id="createUpdateModal"
        tabindex="-1"
        role="dialog"
        aria-labelledby="createUpdateModalLabel"
        aria-hidden="true"
      >
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="createUpdateModalLabel">New User</h5>
            </div>
            <div class="modal-body">
              <UserCreateEdit
                :idUser="idUser"
                v-on:on-create-user-success="reloadPage"
                v-on:on-edit-user-success="reloadPage"
              ></UserCreateEdit>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- end modal create edit -->
  </div>
</template>

<script>
import UserList from '~/components/user/UserList.vue'
import { API_USER } from '~/assets/contants/contant.js'
export default {
  components: { UserList },
  data() {
    return {
      listUser: [],
      idUser: null,
    }
  },

  methods: {
    async getListUser() {
      this.listUser = await this.$axios.$get(API_USER);
    },
    deleteUser(idUser) {
      console.log(idUser)
    },

    editUser(idUser) {
      this.idUser = idUser
    },

    createUser() {
      this.idUser = null
    },

    reloadPage() {
  
      this.callApi(API_USER);
    },
  },
  mounted() {
    this.getListUser();
     
  },
}
</script>

<style>
.blog-list {
  background: #f0f3f5;
}
</style>
